variable "instance_name" {
  description = "Hostname, DNS entry, etc."
  type = string
}

variable "azs" {
  type = list(string)
}

variable "subnets" {
  type = list(string)
}

variable "vpc_id" {
  type = string
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "instance_type" { 
  type = string
  default = "t3a.micro"
}

variable "reverse_enabled" { 
  description = "Whether to create the reverse DNS entry."
  type = bool
  default = true
}

variable "trusted_ips" { type = list(string) }
variable "xdr_interconnect" { type = list(string) }
variable "nga_pop" { type = list(string) }
variable "afs_azure_pop" { type = list(string) }
variable "afs_pop" { type = list(string) }
variable "proxy" { type = string }
variable "salt_master" { type = string }
variable "repo_server_whitelist" { type = list(string) }

variable "c2_services_external_ips" {
  type = list(object({cidr_blocks=list(string),description=string}))
  default = []
}

variable "cidr_map" { type = map }
variable "dns_info" { type = map }
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "aws_account_id" { type = string }
variable "common_services_account" { type = string }
variable "instance_termination_protection" { type = bool }
